﻿namespace ULtraChartPieChart
{
    using System;
    using System.Data;
    using System.Windows.Forms;

    public partial class Form1 : Form
    {
        public Form1()
        {
            this.InitializeComponent();
            this.Load += Form1_Load;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraChart1.ChartType = Infragistics.UltraChart.Shared.Styles.ChartType.PieChart;
            this.ultraChart1.DataSource = this.GetData();
        }

        private DataTable GetData()
        {
            var data = new DataTable();

            data.Columns.Add("Product", typeof(string));
            data.Columns.Add("Units Sold", typeof(int));

            data.Rows.Add("Java", 225);
            data.Rows.Add("AciveX", 653);
            data.Rows.Add(".Net1", 335);
            data.Rows.Add("Misc", 132);
            data.Rows.Add("Native", 56);
            data.Rows.Add(".Net2", 62);
            data.Rows.Add("Apple", 42);

            return data;
        }
    }
}
